Installer - Refactor #35985

Move katello certificate integration into puppet-puppet
01/24/2023 11:20 AM - Ewoud Kohl van Wijngaarden

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden

Category:

Target version:

Difficulty: Fixed in Releases: 3.6.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-pu

ppet/pull/862,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/440,
https://github.com/theforeman/foreman-i
nstaller/pull/828,
https://github.com/theforeman/foreman-d
ocumentation/pull/1947,
https://github.com/theforeman/forklift/pull
/1649,
https://github.com/theforeman/foreman-d
ocumentation/pull/2108

Description

Today we have --puppet-foreman-proxy-content-puppet true, and then the user needs to supply certificate paths to our
theforeman/puppet module. Instead we should move this integration into our theforeman/puppet module.

I'm proposing a boolean parameter which can be set via Hiera. Then in our installer's Hiera configuration we can set this for the
appropriate scenarios.

Related issues:
Related to Installer - Feature #33337: For Katello scenario, do not deploy Pu... Closed
Related to Foreman Maintain - Bug #36230: “foreman-maintain plugin purge-pupp... Closed

Associated revisions

Revision 49fb1afb - 01/27/2023 10:50 AM - Ewoud Kohl van Wijngaarden
Refs #35985 - Implement optional Katello integration
Katello uses a different certificate structure. This moves over the

integration bits from puppet-foreman_proxy_content to this module. It
also means fewer variables need to be set in the installer itself.

Revision 12bbe7a9 - 02/20/2023 08:42 PM - Ewoud Kohl van Wijngaarden
Refs #35985 - Rely on theforeman/puppet to do integration

The integration is moved into theforeman/puppet so this is no longer
needed.

Revision dad33203 - 02/20/2023 08:42 PM - Ewoud Kohl van Wijngaarden
Fixes #35985 - Use Katello integration in theforeman/puppet

History

#1 - 01/24/2023 11:24 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-puppet/pull/862 added
#2 - 01/24/2023 11:24 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/440 added

#3 - 01/24/2023 11:27 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/828 added

#4 - 01/24/2023 11:33 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-documentation/pull/1947 added

#5 - 01/30/2023 04:25 PM - Ewoud Kohl van Wijngaarden
- Related to Feature #33337: For Katello scenario, do not deploy Puppet by default added

#6 - 01/30/2023 04:30 PM - The Foreman Bot
- Pull request https://github.com/theforeman/forklift/pull/1649 added

#7 - 02/20/2023 08:42 PM - The Foreman Bot
- Fixed in Releases 3.6.0 added

#8 - 02/20/2023 09:00 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|dad332038e7b38006{f34275d2b7{8046a8f7dff.

#9 - 02/28/2023 03:11 PM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes

#10 - 03/24/2023 12:15 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #36230: “foreman-maintain plugin purge-puppet’ is using ‘foreman-proxy-content-puppet” which is no longer available added

#11 - 03/29/2023 07:45 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-documentation/pull/2108 added
